
/**
 * @file
 * 
 * Provides vertical tabs summaries for theme settings form.
 */

(function ($) {

Drupal.behaviors.themesettingsFieldsetSummaries =  {

  attach: function (context) {
    $('fieldset#edit-theme-settings', context).drupalSetSummary(function (context) {
      var vals = [];

      $('input:checked', context).parent().each(function () {
        vals.push(Drupal.checkPlain($.trim($(this).text())));
      });

      return vals.join(', ');
    });

    $('fieldset#edit-logo', context).drupalSetSummary(function (context) {
      return $('#edit-default-logo', context).is(':checked') ?
        Drupal.t('Default logo') :
        Drupal.t('Custom logo');
    });

    $('fieldset#edit-favicon', context).drupalSetSummary(function (context) {
      return $('#edit-default-favicon', context).is(':checked') ?
        Drupal.t('Default shortcut icon') :
        Drupal.t('Custom shortcut icon');
    });

    $('fieldset#color_scheme_form', context).drupalSetSummary(function (context) {
      return $('#edit-scheme option:selected', context).text();
    });

  }
};

})(jQuery);
